use core_types::BufferId;

pub trait ReclaimPolicy {
    fn release(&mut self, buffer_id: BufferId);
}

#[derive(Default)]
pub struct NoopReclaimer;

impl ReclaimPolicy for NoopReclaimer {
    fn release(&mut self, _buffer_id: BufferId) {}
}
